Previous: Drive resources, Up: Drive settings [Contents][Index]

#### 6.10.2 Drive command-line options

`-truedrive`
`+truedrive`

  Enable/disable true drive emulation (`DriveTrueEmulation=1`, `DriveTrueEmulation=0`).

`-drivesound`
`+drivesound`

  Enable/disable drive sound emulation (`DriveSoundEmulation=1`, `DriveSoundEmulation=0`) (all emulators except vsid).

`-drivesoundvolume <Volume>`

  Set the volume of the drive sound emulation (`DriveSoundEmulationVolume=1`, `DriveSoundEmulationVolume=0`) (all emulators except vsid).

`-drive8type <Type>`
`-drive9type <Type>`
`-drive10type <Type>`
`-drive11type <Type>`

  Specifies the drive types for drives 8-11, respectively. Possible values for `TYPE` are `1541` [all emulators except xcbm2, xcbm5x0, xpet and vsid], `1542` (meaning 1541-II) [all emulators except xcbm2, xcbm5x0, xpet and vsid], `1551` [xplus4 only], `1570` [all emulators except xcbm2, xcbm5x0, xpet and vsid], `1571` [all emulators except xcbm2, xcbm5x0, xpet and vsid], `1573` (meaning 1571cr) [x128 only], `1581` [all emulators except xcbm2, xcbm5x0, xpet and vsid], `2000` [all emulators except xcbm2, xcbm5x0, xpet and vsid], `4000` [all emulators except xcbm2, xcbm5x0, xpet and vsid], `4844` (meaning CMD HD) [all emulators except xcbm2, xcbm5x0, xpet and vsid], `2031` [all emulators except x64dtv, xplus4 and vsid], `2040` [all emulators except x64dtv, xplus4 and vsid], `3040` [all emulators except x64dtv, xplus4 and vsid], `4040` [all emulators except x64dtv, xplus4 and vsid], `1001` [all emulators except x64dtv, xplus4 and vsid], `8050` [all emulators except x64dtv, xplus4 and vsid] `8250` [all emulators except x64dtv, xplus4 and vsid]. and `9000` [all emulators except x64dtv, xplus4 and vsid].

`-drive8rtcsave`
`-drive8rtcsave`

  Enable/disable the saving of the RTC data for drive 8 when changed (drive type 2000/4000/4844 only) (`Drive8RTCSave=1`, `Drive8RTCSave=0`).

`-drive9rtcsave`
`-drive9rtcsave`

  Enable/disable the saving of the RTC data for drive 9 when changed (drive type 2000/4000/4844 only) (`Drive9RTCSave=1`, `Drive9RTCSave=0`).

`-drive10rtcsave`
`-drive10rtcsave`

  Enable/disable the saving of the RTC data for drive 10 when changed (drive type 2000/4000/4844 only) (`Drive10RTCSave=1`, `Drive10RTCSave=0`).

`-drive11rtcsave`
`-drive11rtcsave`

  Enable/disable the saving of the RTC data for drive 11 when changed (drive type 2000/4000/4844 only) (`Drive11RTCSave=1`, `Drive11RTCSave=0`).

`-parallel8 <type>`
`-parallel9 <type>`
`-parallel10 <type>`
`-parallel11 <type>`

  Set parallel cable type for drives 8-11 respectively (`Drive8ParallelCable`, `Drive9ParallelCable`, `Drive10ParallelCable`, `Drive11ParallelCable`) (x64, x64sc, xscpu64, x128 and xplus4 only). x64, x64sc, xscpu64, x128: (0: None, 1: Standard, 2: Professional DOS, 3: Formel64) xplus4: (0: None, 1: Standard)

`-drive8idle <method>`
`-drive9idle <method>`
`-drive10idle <method>`
`-drive11idle <method>`

  Specifies <method> as the idling method for drives 8-11 respectively (`Drive8IdleMethod`, `Drive9IdleMethod`, `Drive10IdleMethod`), `Drive11IdleMethod`). (0: none, 1: skip cycles, 2: trap idle)

`-drive8extend <method>`
`-drive9extend <method>`
`-drive10extend <method>`
`-drive11extend <method>`

  Specifies <method> as the track 40 extend policy in drives 8-11 respectively (`Drive8ExtendImagePolicy`, `Drive9ExtendImagePolicy`, `Drive10ExtendImagePolicy`, `Drive11ExtendImagePolicy`). (0: never extend, 1: ask on extend, 2: extend on access)

`-drive8rpm <rpm>`
`-drive9rpm <rpm>`
`-drive10rpm <rpm>`
`-drive11rpm <rpm>`

  Specifies the rotation speed of the drive, multiplied by 100 so 300rpm equal 30000.

`-drive8wobblefrequency <frequency>`
`-drive9wobblefrequency <frequency>`
`-drive10wobblefrequency <frequency>`
`-drive11wobblefrequency <frequency>`

  Specifies frequency of the drive wobble

`-drive8wobbleamplitude <amplitude>`
`-drive9wobbleamplitude <amplitude>`
`-drive10wobbleamplitude <amplitude>`
`-drive11wobbleamplitude <amplitude>`

  Specifies amplitude of the drive wobble

`-dos1540 <name>`

  Specify the ROM name for the 1540 emulation (`DosName1540`). (all emulators except xcbm2, xcbm5x0, xpet and vsid)

`-dos1541 <name>`

  Specify the ROM name for the 1541 emulation (`DosName1541`). (all emulators except xcbm2, xcbm5x0, xpet and vsid)

`-dos1541II <name>`

  Specify the ROM name for the 1541-II emulation (`DosName1541ii`). (all emulators except xcbm2, xcbm5x0, xpet and vsid)

`-dos1551 <name>`

  Specify the ROM name for the 1551 emulation (`DosName1551`). (xplus4 only)

`-dos1570 <name>`

  Specify the ROM name for the 1570 emulation (`DosName1570`). (all emulators except xcbm2, xcbm5x0, xpet and vsid)

`-dos1571 <name>`

  Specify the ROM name for the 1571 emulation (`DosName1571`). (all emulators except xcbm2, xcbm5x0, xpet and vsid)

`-dos1571cr <name>`

  Specify the ROM name for the 1571 emulation (`DosName1571CR`). (x128 only)

`-dos1581 <name>`

  Specify the ROM name for the 1581 emulation (`DosName1581`). (all emulators except xcbm2, xcbm5x0, xpet and vsid)

`-dos2000 <name>`

  Specify the ROM name for the FD2000 emulation (`DosName2000`). (all emulators except xcbm2, xcbm5x0, xpet and vsid)

`-dos4000 <name>`

  Specify the ROM name for the FD4000 emulation (`DosName4000`). (all emulators except xcbm2, xcbm5x0, xpet and vsid)

`-dosCMDHD <name>`

  Specify the boot ROM name for the CMD HD emulation (`DosNameCMDHD`). (all emulators except xcbm2, xcbm5x0, xpet and vsid)

`-dos2031 <name>`

  Specify the ROM name for the 2031 emulation (`DosName2031`). (all emulators except x64dtv, xplus4 and vsid)

`-dos2040 <name>`

  Specify the ROM name for the 2040 emulation (`DosName2040`). (all emulators except x64dtv, xplus4 and vsid)

`-dos3040 <name>`

  Specify the ROM name for the 3040 emulation (`DosName3040`). (all emulators except x64dtv, xplus4 and vsid)

`-dos4040 <name>`

  Specify the ROM name for the 4040 emulation (`DosName4040`). (all emulators except x64dtv, xplus4 and vsid)

`-dos1001 <name>`

  Specify the ROM name for the 1001, 8050 and 8250 emulations (`DosName1001`). (all emulators except x64dtv, xplus4 and vsid)

`-dos9000 <name>`

  Specify the ROM name for the D9090/60 emulations (`DosName9000`). (all emulators except x64dtv, xplus4 and vsid)

`-drive8ram2000, +drive8ram2000`

  Enable/disable 8KiB RAM expansion at $2000-$3FFF for drive 8 (`Drive8RAM2000=1`, `Drive8RAM2000=0`).

`-drive9ram2000, +drive9ram2000`

  Enable/disable 8KiB RAM expansion at $2000-$3FFF for drive 9 (`Drive9RAM2000=1`, `Drive9RAM2000=0`).

`-drive10ram2000, +drive10ram2000`

  Enable/disable 8KiB RAM expansion at $2000-$3FFF for drive 10 (`Drive10RAM2000=1`, `Drive10RAM2000=0`).

`-drive11ram2000, +drive11ram2000`

  Enable/disable 8KiB RAM expansion at $2000-$3FFF for drive 11 (`Drive11RAM2000=1`, `Drive11RAM2000=0`).

`-drive8ram4000, +drive8ram4000`

  Enable/disable 8KiB RAM expansion at $4000-$5FFF for drive 8 (`Drive8RAM4000=1`, `Drive8RAM4000=0`).

`-drive9ram4000, +drive9ram4000`

  Enable/disable 8KiB RAM expansion at $4000-$5FFF for drive 9 (`Drive9RAM4000=1`, `Drive9RAM4000=0`).

`-drive10ram4000, +drive10ram4000`

  Enable/disable 8KiB RAM expansion at $4000-$5FFF for drive 10 (`Drive10RAM4000=1`, `Drive10RAM4000=0`).

`-drive11ram4000, +drive11ram4000`

  Enable/disable 8KiB RAM expansion at $4000-$5FFF for drive 11 (`Drive11RAM4000=1`, `Drive11RAM4000=0`).

`-drive8ram6000, +drive8ram6000`

  Enable/disable 8KiB RAM expansion at $6000-$7FFF for drive 8 (`Drive8RAM6000=1`, `Drive8RAM6000=0`).

`-drive9ram6000, +drive9ram6000`

  Enable/disable 8KiB RAM expansion at $6000-$7FFF for drive 9 (`Drive9RAM6000=1`, `Drive9RAM6000=0`).

`-drive10ram6000, +drive10ram6000`

  Enable/disable 8KiB RAM expansion at $6000-$7FFF for drive 10 (`Drive10RAM6000=1`, `Drive10RAM6000=0`).

`-drive11ram6000, +drive11ram6000`

  Enable/disable 8KiB RAM expansion at $6000-$7FFF for drive 11 (`Drive11RAM6000=1`, `Drive11RAM6000=0`).

`-drive8ram8000, +drive8ram8000`

  Enable/disable 8KiB RAM expansion at $8000-$9FFF for drive 8 (`Drive8RAM8000=1`, `Drive8RAM8000=0`).

`-drive9ram8000, +drive9ram8000`

  Enable/disable 8KiB RAM expansion at $8000-$9FFF for drive 9 (`Drive9RAM8000=1`, `Drive9RAM8000=0`).

`-drive10ram8000, +drive10ram8000`

  Enable/disable 8KiB RAM expansion at $8000-$9FFF for drive 10 (`Drive10RAM8000=1`, `Drive10RAM8000=0`).

`-drive11ram8000, +drive11ram8000`

  Enable/disable 8KiB RAM expansion at $8000-$9FFF for drive 11 (`Drive11RAM8000=1`, `Drive11RAM8000=0`).

`-drive8rama000, +drive8rama000`

  Enable/disable 8KiB RAM expansion at $A000-$BFFF for drive 8 (`Drive8RAMA000=1`, `Drive8RAMA000=0`).

`-drive9rama000, +drive9rama000`

  Enable/disable 8KiB RAM expansion at $A000-$BFFF for drive 9 (`Drive9RAMA000=1`, `Drive9RAMA000=0`).

`-drive10rama000, +drive10rama000`

  Enable/disable 8KiB RAM expansion at $A000-$BFFF for drive 10 (`Drive10RAMA000=1`, `Drive10RAMA000=0`).

`-drive11rama000, +drive11rama000`

  Enable/disable 8KiB RAM expansion at $A000-$BFFF for drive 11 (`Drive11RAMA000=1`, `Drive11RAMA000=0`).

`-drive8profdos`
`+drive8profdos`

  Enable/disable Professional DOS for drive 8 (`Drive8ProfDOS=1`, `Drive8ProfDOS=0`) (x64, x64sc, xscpu64 and x128 only).

`-drive9profdos`
`+drive9profdos`

  Enable/disable Professional DOS for drive 9 (`Drive9ProfDOS=1`, `Drive9ProfDOS=0`) (x64, x64sc, xscpu64 and x128 only).

`-drive10profdos`
`+drive10profdos`

  Enable/disable Professional DOS for drive 10 (`Drive10ProfDOS=1`, `Drive10ProfDOS=0`) (x64, x64sc, xscpu64 and x128 only).

`-drive11profdos`
`+drive11profdos`

  Enable/disable Professional DOS for drive 11 (`Drive11ProfDOS=1`, `Drive11ProfDOS=0`) (x64, x64sc, xscpu64 and x128 only).

`-profdos1571 <name>`

  Specify name of Professional DOS 1571 ROM image (`DriveProfDOS1571Name`) (x64, x64sc, xscpu64 and x128).

`-drive8supercard`
`+drive8supercard`

  Enable/disable Supercard for drive 8 (`Drive8SuperCard=1`, `Drive8SuperCard=0`) (x64, x64sc, xscpu64 and x128 only).

`-drive9supercard`
`+drive9supercard`

  Enable/disable Supercard for drive 9 (`Drive9SuperCard=1`, `Drive9SuperCard=0`) (x64, x64sc, xscpu64 and x128 only).

`-drive10supercard`
`+drive10supercard`

  Enable/disable Supercard for drive 10 (`Drive10SuperCard=1`, `Drive10SuperCard=0`) (x64, x64sc, xscpu64 and x128 only).

`-drive11supercard`
`+drive11supercard`

  Enable/disable Supercard for drive 11 (`Drive11SuperCard=1`, `Drive11SuperCard=0`) (x64, x64sc, xscpu64 and x128 only).

`-supercard <name>`

  Specify name of Supercard ROM image (`DriveSuperCardName`) (x64, x64sc, xscpu64 and x128 only).

`-drive8stardos`
`+drive8stardos`

  Enable/disable StarDOS for drive 8 (`Drive8StarDos=1`, `Drive8StarDos=0`) (x64, x64sc, xscpu64 and x128 only).

`-drive9stardos`
`+drive9stardos`

  Enable/disable StarDOS for drive 9 (`Drive9StarDos=1`, `Drive9StarDos=0`) (x64, x64sc, xscpu64 and x128 only).

`-drive10stardos`
`+drive10stardos`

  Enable/disable StarDOS for drive 10 (`Drive10StarDos=1`, `Drive10StarDos=0`) (x64, x64sc, xscpu64 and x128 only).

`-drive11stardos`
`+drive11stardos`

  Enable/disable StarDOS for drive 11 (`Drive11StarDos=1`, `Drive11StarDos=0`) (x64, x64sc, xscpu64 and x128 only).

`-stardos <name>`

  Specify name of the image of the lower half of the StarDOS ROM. (Attach the upper half using the -dos1541 option.) (`DriveStarDosName`) (x64, x64sc, xscpu64 and x128 only).

Previous: Drive resources, Up: Drive settings [Contents][Index]